[Overview][Types][Classes][Index] | Reference for unit 'SQLTypes' (#fcl)

# TDBEventTypes

Set of database event types

## Declaration

Source position: sqltypes.pp line 17

`type TDBEventTypes = set of (`
`detCustom,` |  | Custom event message
`detPrepare,` |  | SQL prepare message
`detExecute,` |  | SQLExecute message
`detFetch,` |  | Fetch data message
`detCommit,` |  | Transaction Commit message
`detRollBack,` |  | Transaction rollback message
`detParamValue,` |  | Parameter name and value message
`detActualSQL` |  | Actual SQL as sent to engine message
`);`

## Description

TDBEventTypes is a set of TDBEventType values, which is used to filter the set of event messages that should be sent. The TSQLConnection.LogEvents property determines which events a particular connection will send.

## See also

TSQLConnection.LogEvents |  | Filter for events to log
TDBLogNotifyEvent |  | Event handler prototype for handling events
GlobalDBLogHook |  | Global logging hook